Ad Account Ad Place Page Sets
Updated: Mar 7, 2021
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
This endpoint applies to published Pages.
Reading
The endpoint to retrieve a list of place_page_sets for an ad_account
Example
GET /v25.0/{ad-account-id}/ad_place_page_sets HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdPlacePageSet nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of page sets in the ad account
|
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
190 | Invalid OAuth 2.0 Access Token |
Creating
/act_{ad_account_id}/ad_place_page_sets
You can make a POST request to ad_place_page_sets edge from the following paths:
When posting to this edge, an AdPlacePageSet will be created.
Parameters
| Parameter | Description |
|---|---|
location_typeslist<enum {recent, home}> |
Type of user location the page set targets (e.g., 'recent', 'home')
|
namestring |
Name of The Place PageSet
required |
parent_pagenumeric string or integer |
The parent page ID for all the locations pages
required |
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.